Bug 1679998 - GlusterFS can be improved
Summary: GlusterFS can be improved
Keywords:
Status: POST
Alias: None
Product: GlusterFS
Classification: Community
Component: unclassified
Version: 6
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: bugs@gluster.org
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-22 13:19 UTC by Shyamsundar
Modified: 2019-06-28 10:08 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of: 1193929
Environment:
Last Closed:
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Gluster.org Gerrit 22197 None Open fuse: reflect the actual default for lru-limit option 2019-02-25 15:26:55 UTC
Gluster.org Gerrit 22960 None Open tests/utils: Fix py2/py3 util python scripts 2019-06-28 10:08:16 UTC

Description Shyamsundar 2019-02-22 13:19:51 UTC
+++ This bug was initially created as a clone of Bug #1193929 +++

I hope this bug is never fixed.

The upstream patch process requires that each patch have an associated bug ID before it can be merged.  However, there is no requirement that the bug contain any information or receive any kind of signoff before the patch can proceed.  As a result, many of our developers have the habit of creating such "placeholder" bugs every time they want to make a change, even if it's just a random cleanup/idea and not an actual bug fix or requested/tracked feature request.  Also, any patch with the dreaded "rfc" bug ID (which would be appropriate for such changes) is unlikely to be reviewed.

This bug exists to satisfy our process requirement, without the additional negatives of clogging up our triage/tracking processes and making it appear that the code has more bugs (which would be bad) when in fact a developer had more ideas (which is generally good).

Comment 1 Worker Ant 2019-02-22 13:21:22 UTC
REVIEW: https://review.gluster.org/22197 (fuse: reflect the actual default for lru-limit option) posted (#3) for review on release-6 by Shyamsundar Ranganathan

Comment 2 Worker Ant 2019-02-25 15:26:56 UTC
REVIEW: https://review.gluster.org/22197 (fuse: reflect the actual default for lru-limit option) merged (#4) on release-6 by Shyamsundar Ranganathan

Comment 3 Worker Ant 2019-06-27 06:41:20 UTC
REVIEW: https://review.gluster.org/22960 (tests/utils: Fix py2/py3 util python scripts) posted (#1) for review on release-6 by Xavi Hernandez

Comment 4 Worker Ant 2019-06-28 10:08:17 UTC
REVIEW: https://review.gluster.org/22960 (tests/utils: Fix py2/py3 util python scripts) merged (#1) on release-6 by Xavi Hernandez


Note You need to log in before you can comment on or make changes to this bug.